#
# spec file for package go-for-it
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name com.github.jmoerman.go-for-it
Name:           go-for-it
Version:        1.6.3
Release:        1.27
Summary:        A to-do list with built-in productivity timer
License:        GPL-3.0
Group:          Productivity/Office/Organizers
Url:            https://github.com/mank319/Go-For-It
Source:         https://github.com/mank319/Go-For-It/archive/%{version}.tar.gz
BuildRequires:  cmake >= 2.8
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.26
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(libnotify)
Recommends:     %{name}-lang

%description
Go For It! keeps track of tasks and assists in processing
them subsequently. The timer avoids distraction by keeping the user's
focus on the recent task, while issuing reminders to take short breaks
on a regular basis.

%lang_package

%prep
%setup -q -n Go-For-It-%{version}

%build
%cmake
make %{?_smp_mflags} V=1

%install
%cmake_install
%suse_update_desktop_file -r %{_name} Utility DesktopUtility
%find_lang %{_name}
%fdupes %{buildroot}%{_datadir}

%if 0%{?suse_version} < 1330
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files
%doc AUTHORS CHANGELOG.md COPYING README.md
%{_bindir}/%{_name}
%{_datadir}/%{_name}/
%{_datadir}/applications/%{_name}.desktop
%{_datadir}/icons/hicolor/*/*/%{_name}*
# Own this directory for legacy reasons
%dir %{_datadir}/metainfo/
%{_datadir}/metainfo/%{_name}.appdata.xml

%files lang -f %{_name}.lang

%changelog
* Tue Feb 13 2018 jengelh@inai.de
- Don't assume any particular context of use in description.
  Ensure neutrality of descriptions.
* Tue Feb 13 2018 luc14n0@linuxmail.org
- Update to version 1.6.3:
  * Implemented enhancements:
  - The CMake script now checks if intltool-merge is present.
  - The about dialog and contribute dialog can disabled at
    compile time. (Useful if that information is better shown in
    the appstream metadata.)
  - The system name (name of data and executable) can now be
    specified at compile time.
  * Fixed bugs:
  - Add an option to build a version without contribute/donation
    dialog (gh#JMoerman/Go-For-It#42).
  - Do not show about dialog in menu and .desktop when installed
    via store? (gh#JMoerman/Go-For-It#43).
  - Do not show header bar toggle when used on Pantheon/Gnome/...
    (gh#JMoerman/Go-For-It#41).
  * Updated translations.
- Changes from version 1.6.2:
  * Implemented enhancements:
  - Reverse Domain Name Notation is now used for filenames
    (application data, executables).
  - An appstream appdata.xml metadata file has been added.
  - The following translations are updated: Lithuanian.
  * Fixed bugs:
  - Parsed command line strings would not get freed.
  - Changing the path to the stored todo.txt files would lead to
    a crash when a task is marked as done.
- Changes from version 1.6.1:
  * Updated translations.
- Changes from version 1.6.0:
  * Implemented enhancements:
  - Tasks can be filtered by clicking on a project or context
    tag, or manually with the ctrl+f key combination.
  * Fixed bugs:
  - Crashes on start if ~/.todo already exists and is a file
    (gh#JMoerman/Go-For-It#111).
  - Drag area disappears on all items if one item is too long
    (gh#JMoerman/Go-For-It#60).
  - Task name wrapping (gh#JMoerman/Go-For-It#65).
- Conditionalize the use of %%desktop_database_* and
  %%icon_theme_cache_* post/postun scriptlets: they are only needed
  in older distros that don't have RPM 4.13.0 where file triggers
  cover their functionality.
- Add intltool BuildRequires: new dependency.
- Drop go-for-it-vala-0.36.patch: fixed upstream.
* Sat Apr  1 2017 sor.alexei@meowr.ru
- Update to version 1.5:
  * No changelog available.
- Add go-for-it-vala-0.36.patch -- Fix build with vala >= 0.36.
* Sat May  7 2016 sor.alexei@meowr.ru
- Update to version 1.4.6.
* Sat Feb  6 2016 mailaender@opensuse.org
- Update to 1.4.5
* Tue Dec 29 2015 sor.alexei@meowr.ru
- Update to 1.4.4:
  * Various bugfixes including windows line break handling.
* Mon Oct 12 2015 sor.alexei@meowr.ru
- Initial package.
